LibreOffice: XSet Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XSet Interface Referencepublished

This is the generic interface for supporting the insertion and removal of elements. More...

`import "XSet.idl";`

Inheritance diagram for XSet:

## Public Member Functions
boolean | has ([in] any aElement)
void | insert ([in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException )
| inserts the given element into this container.
void | remove ([in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException )
| removes the given element from this container.
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

This is the generic interface for supporting the insertion and removal of elements.

See also
  XContainer

## Member Function Documentation

## ◆ has()

boolean has | ( | [in] any | aElement | ) |

Returns
  TRUE if the given element is a member of this container, otherwise FALSE.

## ◆ insert()

void insert | ( | [in] any | aElement | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::container::ElementExistException ) |  |  |

inserts the given element into this container.

## ◆ remove()

void remove | ( | [in] any | aElement | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::container::NoSuchElementException ) |  |  |

removes the given element from this container.

The documentation for this interface was generated from the following file:

- com/sun/star/container/XSet.idl